=== debian/changelog ===
htslib (1.7-2) unstable; urgency=medium

  * Move all needed files into htslib-test package
    Closes: #890303
  * Document how to test the package
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Wed, 14 Feb 2018 13:13:18 +0100

htslib (1.7-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.
  * Standards-Version: 4.1.3

  * win/* files no longer in upstream source tree, affecting -test package

 -- Steffen Moeller <moeller@debian.org>  Mon, 12 Feb 2018 18:59:19 +0100
