=== debian/changelog ===
htslib (1.9-9) unstable; urgency=medium

  * Bring the ppc64el & i386 pkg-config enhancements to unstable.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 15 Jan 2019 06:13:44 -0800

htslib (1.9-9~floatingpoint0) experimental; urgency=low

  * add SSE flags for i386 to the pkg-config.
  * Try the ppc64el targeted floating point patch again & re-enable -O2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 02 Jan 2019 06:34:33 -0800

htslib (1.9-8) unstable; urgency=medium

  * Disable optimization on ppc64el to unblock this and many other packages
    migration to testing.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 07:08:13 -0800

htslib (1.9-7) unstable; urgency=medium

  * Bring i386 build enhancements to unstable.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 19 Dec 2018 07:30:24 -0800

htslib (1.9-7~1~i386~1) experimental; urgency=medium

  * Turn on SSE for i386, as suggested at
    https://github.com/samtools/htslib/issues/565#issuecomment-448028771

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 18 Dec 2018 00:27:40 -0800

htslib (1.9-7~0~i386~gcc7~1) experimental; urgency=medium

  * Try dropping to gcc-7 on i386*

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 10 Dec 2018 18:02:16 -0800

htslib (1.9-6) unstable; urgency=medium

  * Revert libdeflate for DEFLATE based (de)compression and its crc32
    implementation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 05 Dec 2018 22:59:23 -0800

htslib (1.9-5) unstable; urgency=medium

  * Add libdeflate for DEFLATE based (de)compression and its crc32
    implementation.
  * Re-add mipsel to tabix & libhts-dev as well. (Closes: #915404)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 04 Dec 2018 20:56:12 -0800

htslib (1.9-4) unstable; urgency=medium

  * Add Breaks: python-pysam (<< 0.15~), python3-pysam (<< 0.15~)
    (Thanks to Graham Inggs <ginggs@debian.org>)
    Closes: #911492

 -- Andreas Tille <tille@debian.org>  Sun, 02 Dec 2018 07:54:46 +0100

htslib (1.9-3) unstable; urgency=medium

  * debian/control: drop *i386. Closes: #905438.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 14 Oct 2018 09:53:04 -0700

htslib (1.9-2) unstable; urgency=medium

  * Depends: zlib1g-dev
    Closes: #908501
  * Remove unused lintian overrides
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 12 Sep 2018 21:22:18 +0200

htslib (1.9-1) experimental; urgency=medium

  * Team upload.

  * New upstream version. Some symbols were added, others were removed:
    - cram_to_bam was removed
    - fai_build_core was removed
  * Updated symbols list
  * Introduced -flto

 -- Steffen Moeller <moeller@debian.org>  Thu, 26 Jul 2018 18:54:12 +0200

htslib (1.8-1) experimental; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Fix symbols file.
    Note: version 1.8 drops symbol cram_nop_decode_reset without bumping
    soversion but this should be no issue according to upstream
    (https://github.com/samtools/htslib/issues/695)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Apr 2018 17:16:43 +0200
