=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: htslib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-exec,
                libbz2-dev,
                libcurl4-gnutls-dev,
                liblzma-dev,
                libssl-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/htslib.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/htslib.git -b debian/unstable
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/htslib
+Vcs-Git: https://salsa.debian.org/med-team/htslib.git
 Homepage: https://github.com/samtools/htslib
 
 Package: libhts2
@@ -23,6 +24,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: python-pysam (<< 0.15~),
+        python3-pysam (<< 0.15~)
 Description: C library for high-throughput sequencing data formats
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
@@ -40,6 +43,7 @@
 Section: libdevel
 Depends: libhts2 (= ${binary:Version}),
          liblzma-dev,
+         zlib1g-dev,
          ${misc:Depends}
 Description: development files for the HTSlib
  HTSlib is an implementation of a unified C library for accessing common file
