## htslib 1.10

=== debian/changelog ===
htslib (1.10-2) unstable; urgency=medium

  * Fix check for config.mk.
  * Simplified arch-independent build
  * libhts2 -> libhts3 to match the new SONAME
  * Update the symbols as well

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Dec 2019 11:04:33 +0100

htslib (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Remove build path from packaged config.mk to make the build more reproducible.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 09 Dec 2019 19:40:15 +0100

htslib (1.9-12) unstable; urgency=medium

  * Fix for the autopkgtest on i386 means we can re-enable it! (Closes: #942580)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 09 Dec 2019 19:06:02 +0100

htslib (1.9-11) unstable; urgency=medium

  * Install README at request of upstream
  * Stop building on any-i386
    Closes: #927353

 -- Andreas Tille <tille@debian.org>  Wed, 24 Apr 2019 08:51:48 +0200

htslib (1.9-10) unstable; urgency=medium

  * Bring the libdeflate, GCS, and S3 updates back to unstable.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 16 Jan 2019 05:23:22 -0800

htslib (1.9-10~1libdeflate) experimental; urgency=medium

  * Enable GCS and AWS S3 backends.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 16 Jan 2019 00:27:21 -0800

htslib (1.9-10~0libdeflate) experimental; urgency=medium

  * Try libdeflate again.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 15 Jan 2019 07:01:58 -0800
