=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                libcurl4-gnutls-dev,
                liblzma-dev,
                libssl-dev,
-               zlib1g-dev
-Standards-Version: 4.3.0
+               zlib1g-dev,
+	       libdeflate-dev
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/htslib
 Vcs-Git: https://salsa.debian.org/med-team/htslib.git
 Homepage: https://github.com/samtools/htslib
 
-Package: libhts2
+Package: libhts3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -41,7 +42,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libhts2 (= ${binary:Version}),
+Depends: libhts3 (= ${binary:Version}),
          liblzma-dev,
          zlib1g-dev,
          ${misc:Depends}
