=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,9 @@
 	# create clean copy of test dir
 	cp -a test test_backup
 	autoconf
-	dh_auto_configure -- --enable-libcurl
+	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3
 	
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	dh_auto_build -- \
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
@@ -36,7 +36,9 @@
 	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 # re-try later	  LDLIBS=-lhts \
 
-override_dh_auto_install:
+override_dh_auto_build-indep:
+
+override_dh_auto_install-arch:
 	for binary in sam test-regidx hts_endian test-bcf-sr test_bgzf ; do \
 	    rm $(CURDIR)/test/$${binary} ; \
 	done
@@ -45,6 +47,15 @@
 	# This should not be done earlier since dh_auto_install contains some unconditional removals
 	$(RM) -r test
 	mv test_backup test
+
+override_dh_auto_install-indep:
+
+override_dh_auto_test-indep:
+
+override_dh_install-indep:
+	dh_install --indep
+	sed -i 's/-ffile-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
+	sed -i 's/-fdebug-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
