## htslib 1.10.1

=== debian/changelog ===
htslib (1.10.1-2) unstable; urgency=medium

  * Fix binary-arch vs binary-indep builds

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 Dec 2019 12:54:51 +0100

htslib (1.10.1-1) unstable; urgency=medium

  * New upstream version
  * for some very strange reason /usr/include/htslib/cram/cram.h is using the
    private interface header.h.  This is provided now in the
    libhts-private-dev package rather than htslib-test
  * debhelper-compat 12
  * DEB_BUILD_OPTIONS allow override_dh_auto_test
  * Remove trailing whitespace in debian/rules
  * More verbose error reporting in case of failed tests
  * Fix Perl interpreter path
  * Fix permissions of script

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 14:38:13 +0100
