=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                libbz2-dev,
                libcurl4-gnutls-dev,
