=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	cp -a test test_backup
 	autoconf
 	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3
-	
+
 override_dh_auto_build-arch:
 	dh_auto_build -- \
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
@@ -50,15 +50,44 @@
 
 override_dh_auto_install-indep:
 
+override_dh_auto_test-arch:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test || \
+	  if find . -name "FAIL*" > /dev/null ; then \
+	    for file in $$(find . -name "FAIL*"); do echo $${file}; cat $${file}; done && false ; \
+	  fi
+endif
+
 override_dh_auto_test-indep:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "Suppress test for Architecture independant builds."
+endif
 
 override_dh_install-indep:
 	dh_install --indep
 	sed -i 's/-ffile-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
 	sed -i 's/-fdebug-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
 
+override_dh_installdocs:
+	dh_installdocs
+	# Fix Perl interpreter path
+	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
+	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
+	done
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_link-indep:
+	dh_link --indep
+	# for some very strange reason /usr/include/htslib/cram/cram.h is using the private interface header.h
+	# this is provided now in the libhts-private-dev package rather than htslib-test so we need a symlink here
+	find debian/htslib-test -name header.h
+	dh_link --indep -phtslib-test usr/include/htslib/cram/header.h	usr/share/htslib-test/header.h
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name simple_test_driver.sh -exec chmod +x \{\} \;
 
 override_dh_auto_clean:
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
